package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayProducts;
import com.ruoyi.pay.domain.vo.PayProductsVo;
import com.ruoyi.pay.domain.bo.PayProductsBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 产品Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayProductsService {

    /**
     * 查询产品
     */
    PayProductsVo queryById(Long id);

    /**
     * 查询产品列表
     */
    TableDataInfo<PayProductsVo> queryPageList(PayProductsBo bo, PageQuery pageQuery);

    /**
     * 查询产品列表
     */
    List<PayProductsVo> queryList(PayProductsBo bo);

    /**
     * 新增产品
     */
    Boolean insertByBo(PayProductsBo bo);

    /**
     * 修改产品
     */
    Boolean updateByBo(PayProductsBo bo);

    /**
     * 校验并批量删除产品信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
